Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/5753/?format=api
{ "ob_id": 5753, "uuid": "f91b2c5399c5bf689e29bb15ab45da8a", "title": "5 km Resolution UK Composite Rainfall Data from the Met Office Nimrod System", "abstract": "5 km resolution composite data and plots from the Met Office's UK rainfall radars via the Met Office NIMROD system. The NIMROD system is a very short range forecasting system used by the Met Office. Data are available from 2004 until present at UK stations and detail rain-rate observations taken every 5 minutes. Each file has been compressed and then stored within daily tar archive files.", "keywords": "Met Office, NIMROD, rain radar, UK", "publicationState": "published", "dataPublishedTime": "2003-08-31T10:31:02", "doiPublishedTime": null, "updateFrequency": "continual", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/5754/?format=api", "dataPath": "/badc/ukmo-nimrod/data/composite/uk-5km", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 45496372113, "numberOfFiles": 16843, "fileFormat": "NIMROD product data are in the non-standard NIMROD binary format. Refer to linked documentation for further details. However, the documentation does not indicate there are three 4 byte elements in each record. These are located before each block of data within the record, the first and second should be equal to 512 to confirm the size of the next data block; the third should be equal to twice the size of the data grid (e.g. if the data are in a grid 200 by 500 boxes, then this third entry should be 200,000).\r\nThe data files contain integer precipitation rates in unit of (mm/hr)*32. Each value is between 0 and 32767. In practice it is rare to see a value in excess of 4096 i.e. 128 mm/hr." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3277/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/721/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25899/?format=api" ], "dataLineage": "Data are acquired from rain radar network in the UK and Europe by the Met Office's NIMROD system. Composite products (images and data) and single site data are then sent to the BADC by the Met Office's DART operational dissemination system. Raw polar data from single sites are sent through from the RADARNET team at the Met Office. On arrival at the BADC the data are ingested after a one day quarantine.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3767/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5736/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5709/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4611/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24733/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24736/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24737/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24739/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44502/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44503/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24735/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/24734/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/5755/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }